oyranos-config(3)

NAME
oyranos-config - Oyranos CMS configuration query for builds and locations

SYNOPSIS
oyranos-config [--version --api-version --num-version
 --cflags --ldflags --ldstaticflags
 --syscolordir --usercolordir
 --iccdirname --settingsdirname]

DESCRIPTION
This script helps to obtain some basic static informations about the Oyranos colour management system (CMS), like version numbers, compile flags and directories. Note: the Oyranos CMS provides even more dynamic informations.

OPTIONS

--version
    get the release version of Oyranos CMS

--api-version
    get the actual API version

--num-version
    get the release version of Oyranos CMS in numerical form for convenience

--cflags
    compile flags for a C programm

--ldflags
    linker flags for a C programm to link against the Oyranos library

--ldstaticflags
    linker flags for a C programm to link statically against the Oyranos library

--syscolordir
    get the systems CMS base directory name

--usercolordir
    get the users CMS base directory name

--iccdirname
    get the ICC profile subdirectory name

--settingsdirname
    get the settings subdirectory name

--help
    a options summary

EXAMPLES

Compile a simple programm:
    cc `oyranos-config --cflags` myFile.c `oyranos-config --ldflags` -o myProg

Show system wide visible profiles from the Oyranos installation path:
    ls `oyranos-config --syscolordir`/`oyranos-config --iccdirname`

AUTHOR
Kai-Uwe Behrmann (ku.b (at) gmx.de)

SEE ALSO
oyranos-config-fltk(1) oyranos-policy(1) oyranos-monitor(1) oyranos(3)

BUGS
at: http://sourceforge.net/tracker/?group_id=177017&atid=879553